Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeValueExp

    java.lang.Object
      javax.management.AttributeValueExp

All Implemented Interfaces:
  java.io.Serializable, ValueExp

public class AttributeValueExp
extends java.lang.Object
implements ValueExp

Represents attributes used as arguments to relational constraints. An `AttributeValueExp` may be used anywhere a `ValueExp` is required.

See Also:
  Serialized Form

Constructor Summary
`AttributeValueExp()` Deprecated. An instance created with this constructor cannot be used in a query.
`AttributeValueExp(java.lang.String attr)` Creates a new `AttributeValueExp` representing the specified object attribute, named attr.

Method Summary
`ValueExp` | `apply(ObjectName name)` Applies the `AttributeValueExp` on an MBean.
`protected java.lang.Object` | `getAttribute(ObjectName name)` Return the value of the given attribute in the named MBean.
`java.lang.String` | `getAttributeName()` Returns a string representation of the name of the attribute.
`void` | `setMBeanServer(MBeanServer s)` Sets the MBean server on which the query is to be performed.
`java.lang.String` | `toString()` Returns the string representing its value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueExp

    public AttributeValueExp()

  Deprecated. An instance created with this constructor cannot be used in a query.

  An `AttributeValueExp` with a null attribute.

### AttributeValueExp

    public AttributeValueExp(java.lang.String attr)

  Creates a new `AttributeValueExp` representing the specified object attribute, named attr.

Parameters:
  `attr` - the name of the attribute whose value is the value of this `ValueExp`.

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns a string representation of the name of the attribute.

  Returns:
    the attribute name.

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the `AttributeValueExp` on an MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `name` - The name of the MBean on which the `AttributeValueExp` will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadAttributeValueExpException`
    `InvalidApplicationException`
    `BadStringOperationException`
    `BadBinaryOpValueExpException`

### toString

    public java.lang.String toString()

  Returns the string representing its value.

### setMBeanServer

    public void setMBeanServer(MBeanServer s)

  Sets the MBean server on which the query is to be performed.

  Specified by:
    `setMBeanServer` in interface `ValueExp`
  Parameters:
    `s` - The MBean server on which the query is to be performed.

### getAttribute

    protected java.lang.Object getAttribute(ObjectName name)

  Return the value of the given attribute in the named MBean. If the attempt to access the attribute generates an exception, return null.

  Parameters:
    `name` - the name of the MBean whose attribute is to be returned.
  Returns:
    the value of the attribute, or null if it could not be obtained.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.